"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var normalizeInstrumentations_1 = require("./normalizeInstrumentations");
describe('normalizeInstrumentations', function () {
    describe('when instrumentations does not contain basicCard', function () {
        it('should return the same instrumentations', function () {
            var instrumentations = [];
            expect(normalizeInstrumentations_1.default(instrumentations)).toEqual(instrumentations);
        });
    });
    describe('when instrumentations contains basicCard but no supportedNetworks', function () {
        it('should return the same instrumentations', function () {
            var instrumentations = [{
                    supportedMethods: ['basic-card'],
                }];
            expect(normalizeInstrumentations_1.default(instrumentations)).toEqual(instrumentations);
        });
    });
    describe('when instrumentations contains basicCard and supportedNetworks', function () {
        it('should enhance instrumentations with pre-chrome57 api and same supportedNetworks of basicCard', function () {
            var instrumentations = [{
                    supportedMethods: ['basic-card'],
                    data: {
                        supportedNetworks: ['visa', 'mastercard'],
                    },
                }];
            expect(normalizeInstrumentations_1.default(instrumentations)).toEqual([
                {
                    supportedMethods: ['visa', 'mastercard'],
                }
            ].concat(instrumentations));
        });
    });
});
//# sourceMappingURL=normalizeInstrumentations.test.js.map